<?php

namespace App\Http\Controllers;

use App\Models;
use Illuminate\Http\Request;

class RoleController extends Controller
{
    public function CreateRole(Request $request)
    {
        $params = [];
        $params["name"] = $request->input("name");
        $params["description"] = $request->input("description");

        $role = new Models\Role();
        $result = $role->CreateRole($params);
        return $result;
    }

    public function ModifyRole(Request $request)
    {
        $params = [];
        $params["id"] = $request->input("id");
        $params["name"] = $request->input("name");
        $params["description"] = $request->input("description");

        $role = new Models\Role();
        $result = $role->ModifyRole($params);
        return $result;
    }

    public function DeleteRole(Request $request)
    {
        $params = [];
        $params["id"] = $request->input("id");

        $role = new Models\Role();
        $result = $role->DeleteRole($params);
        return $result;
    }

    public function ListRole(Request $request)
    {
        $params = [];
        $params["page"] = $request->input("page");
        $params["pageCount"] = $request->input("pageCount");

        $role = new Models\Role();
        $result = $role->ListRole($params);
        return $result;
    }
}
