<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Log;

class GroupUser extends Model
{
    protected $table = "group_user";
    public $timestamps = false;


    /**
     * todo
     * 这里需要分页,也可能需要根据群组的状态排序，后面再处理
     * 列出用户相关的群组
     *
     * @param $uid
     * @return array
     */
    public function ListGroupIds($uid)
    {
        $groups = $this->select("group_id")
            ->where("user_id", $uid)
            ->where("is_del", false)
            ->all();
        $group_ids = [];
        foreach ($groups as $group) {
            array_push($group_ids, $group->group_id);
        }
        return $group_ids;
    }

    public function GroupAddUser($gid, $uid)
    {
        if ($gid == "") {
            return "empty group id";
        }
        if ($uid == "") {
            return "empty user id";
        }

        $this->group_id = $gid;
        $this->user_id = $uid;
        $this->status = "status";

        $this->save();
    }

    public function GroupRemoveUser($gid, $uid)
    {
        if ($gid == "") {
            return "empty group id";
        }
        if ($uid == "") {
            return "empty user id";
        }
//        $this->group_id = $gid;
//        $this->user_id = $uid;

        $this->where("group_id", $gid)
            ->where("user_id", $uid)
            ->where("is_del", false)
            ->update(["is_del" => true]);
        return "success";
    }


}
